Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-71673

static build fails to find plugins for application build

    XMLWordPrintable

    Details

    • Platform/s:
      Linux/X11, QNX
    • Commits:
      978987981ac1ad0689e042cc241c1732496b59bb (qt/qtbase/5.12)

      Description

      1. install B2Qt environment
      2. build static Qt using it:
        ./configure -v -confirm-license -sysroot /home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/cortexa9hf-neon-poky-linux-gnueabi -prefix /work6/Qt/bin/Qt-imx6-static -opengl es2 -xplatform devices/linux-imx6-g++ -skip qt3d -skip qtandroidextras -skip qtcanvas3d -skip qtcharts -skip qtconnectivity -skip qtdatavis3d -skip qtgamepad -skip qtlocation -skip qtmacextras -skip qtnetworkauth -skip qtpurchasing -skip qtremoteobjects -skip qtscxml -skip qtsensors -skip qtspeech -skip qtwebchannel -skip qtwebengine -skip qtwebsockets -skip qtwebview -skip qtwinextras -skip qtxmlpatterns -nomake examples -nomake tests -commercial -static -qml-debug -alsa -v -device-option CROSS_COMPILE=/home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi-
        
      3. build qt example animatedtiles and linker gives errors:
        /home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/6.4.0/real-ld: cannot find -lqeglfs
        /home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/6.4.0/real-ld: cannot find -lqwayland-egl
        /home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/6.4.0/real-ld: cannot find -lqwayland-generic
        /home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/6.4.0/real-ld: cannot find -lqgif
        /home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/6.4.0/real-ld: cannot find -lqicns
        /home/kapinter/Qt/5.11.2/Boot2Qt/nitrogen6x/toolchain/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/6.4.0/real-ld: cannot find -lqico
        

      Workaround is to add the missing plugins to the pro file with LIBS+=

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            • Assignee:
              jbornema Joerg Bornemann
              Reporter:
              karimpinter Karim Pinter
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes